@extends(config('simple_cms.admin_layout'))

@section('content_header')

  <h1>{{content_label($contentType, true, false)}}</h1>
@stop

@section('content')

  @yield('back')

  <div class="row">
    <div class="col-xs-6">
      @include('simpleCms::partials.published-actions-box')
    </div>

    @if($content->canBeReviewed())
      <div class="col-xs-6">
        @include('simpleCms::partials.draft-actions-box')
      </div>
    @endif
  </div>



  <div class="row">
    <div class="col-xs-8">
      @include('simpleCms::partials.edit-box')
    </div>
    @can('tag', $content)

      <div class="col-xs-4">
        @include('simpleCms::partials.tags-box')
      </div>
    @endcan
    @can('delete', $content)
      <div class="col-xs-4">
        @include('simpleCms::partials.delete-box',[
          'url' => route('admin.content.destroy', $content->getContentRouteParameters()),
          'title' => $content->title,
          'label' => 'content',
        ])
      </div>
    @endcan
    @can('addVideos', $content)
      <div class="col-xs-4">
        @include('simpleCms::partials.video-box')
      </div>
    @endcan
  </div>

@endsection
