<?php

namespace Drp\SimpleCms;

/**
 * Class AllContent
 * @package Drp\SimpleCms
 */
class AllContent
{

    /**
     *  Return all content items.
     *
     * @return \Illuminate\Support\Collection
     * @SuppressWarnings("unused")
     */
    public function content()
    {
        return collect(config('simple_cms.content_types'))
            ->map(function ($class, $key) {
                return $class::all();
            })
            ->flatten()
            ->filter();
    }

    /**
     *  Return all content items that are in review.
     *
     * @return \Illuminate\Support\Collection
     * @SuppressWarnings("unused")
     */
    public function contentInReview()
    {
        return collect(config('simple_cms.content_types'))
            ->map(function ($class, $key) {
                return $class::whereInReview()->get();
            })
            ->flatten()
            ->filter();
    }
}
