<?php

namespace Drp\SimpleCms\Contracts;

/**
 * Class ContentManager
 * @package Drp\SimpleCms
 */
interface ContentManager
{
    /**
     * Create a new content of the given type.
     *
     * @param string $contentType
     * @param mixed $attributes
     * @return Publishable
     */
    public function createContent($contentType, $attributes = null);

    /**
     * Processes updating a content item.
     *
     * Create a draft of the existing if it already exists
     * If the content is already in draft we will just update that version.
     *
     * @param Publishable $content
     * @param array|null $attributes The data to update
     * @return Publishable
     */
    public function updateContent(Publishable $content, $attributes = null);
}
