<?php

namespace Drp\SimpleCms\Contracts;

/**
 * Interface ContentRequest
 * @package Drp\SimpleCms
 */
interface ContentRequest
{
    /**
     * Prepare the input using the given content.
     *
     * @param Publishable $content
     * @return array|string
     */
    public function prepareInput(Publishable $content);

    /**
     * Prepare the validation rules and message for the content type
     *
     * @param Publishable $content
     * @return void
     */
    public function prepareValidation(Publishable $content);
}
