<?php

namespace Drp\SimpleCms\Http\Controllers\Admin;

use Drp\SimpleCms\Contracts\ContentFactory;
use Illuminate\Routing\Controller;

/**
 * Class ContentListingController
 * @package Drp\SimpleCms
 */
class ContentListingController extends Controller
{
    /**
     * @var ContentFactory
     */
    private $contentFactory;

    /**
     * StudyController constructor.
     * @param ContentFactory $contentFactory
     */
    public function __construct(ContentFactory $contentFactory)
    {
        $this->contentFactory = $contentFactory;
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param string $contentType The type of content (see ContentFactory)
     * @return \Illuminate\Http\Response
     */
    public function index($contentType)
    {
        $contentModel = $this->contentFactory->makeContentClass($contentType);
        $content = $contentModel->latestContent();

        if (view()->exists("admin.content.$contentType.index")) {
            return view("admin.content.$contentType.index", compact('content', 'contentType'));
        }

        return view('simpleCms::index', compact('content', 'contentType'));
    }
}
