<?php

namespace Drp\SimpleCms\Test;

use DateTime;
use Illuminate\Filesystem\Filesystem;

/**
 * Class TestHelper
 */
class TestHelper
{

    /** @var \Illuminate\Filesystem\Filesystem */
    protected $filesystem;

    /**
     * TestHelper constructor.
     */
    public function __construct()
    {
        $this->filesystem = new Filesystem();
    }

    /**
     *
     */
    public function initializeTempDirectory()
    {
        $this->initializeDirectory($this->getTempDirectory());
    }

    /**
     * @param $directory
     */
    public function initializeDirectory($directory)
    {
        $this->filesystem->deleteDirectory($directory);
        $this->filesystem->makeDirectory($directory);
        $this->addGitignoreTo($directory);
    }

    /**
     * @param $directory
     */
    public function addGitignoreTo($directory)
    {
        $fileName = "{$directory}/.gitignore";
        $fileContents = '*' . PHP_EOL . '!.gitignore';
        $this->filesystem->put($fileName, $fileContents);
    }

    /**
     * @return string
     */
    public function getStubDirectory()
    {
        return __DIR__ . '/stubs';
    }

    /**
     * @return string
     */
    public function getTempDirectory()
    {
        return __DIR__ . '/temp';
    }


    public function getTestViews()
    {
        return __DIR__ . '/Support/views';
    }


    /**
     * @param $fileName
     * @param DateTime $date
     * @param string $contents
     * @return string
     */
    public function createTempFileWithAge($fileName, DateTime $date, $contents = '')
    {
        $directory = $this->getTempDirectory() . '/' . dirname($fileName);
        $this->filesystem->makeDirectory($directory, 0755, true, true);
        $fullPath = $this->getTempDirectory() . '/' . $fileName;
        file_put_contents($fullPath, $contents);
        touch($fullPath, $date->getTimeStamp());
        return $fullPath;
    }
}
